Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | List of all members
ranges::views::trim_fn Struct Reference
Inheritance diagram for ranges::views::trim_fn:

## Synopsis of methods
constexpr trim_fn | trim {}

## Additional Inherited Members
Public Member Functions inherited from ranges::views::trim_base_fn
template<typename Rng , typename Pred >
constexpr trim_view< all_t< Rng >, Pred > | operator() (Rng &&rng, Pred pred) const
template<typename Rng , typename Pred , typename Proj >
constexpr trim_view< all_t< Rng >, composed< Pred, Proj > > | operator() (Rng &&rng, Pred pred, Proj proj) const
Public Member Functions inherited from ranges::views::trim_bind_fn
template<typename Pred , typename Proj >
constexpr auto | operator() (Pred &&pred, Proj proj) const
template<typename Pred >
constexpr auto | operator() (Pred pred) const